Index: tmp/TXMBetaPlugins.site/site.xml
===================================================================
--- tmp/TXMBetaPlugins.site/site.xml	(revision 2925)
+++ tmp/TXMBetaPlugins.site/site.xml	(revision 2926)
@@ -3,46 +3,46 @@
    <description name="TXM Extensions - RELEASE" url="https://gitlab.huma-num.fr/txm/txm-software/-/raw/master/dist/0.8.1/ext/beta">
       This update site contains the BETA extensions for TXM
    </description>
-   <feature url="features/org.txm.annotation.feature_1.0.0.202004141145.jar" id="org.txm.annotation.feature" version="1.0.0.202004141145">
+   <feature url="features/org.txm.annotation.feature_1.0.0.202006261406.jar" id="org.txm.annotation.feature" version="1.0.0.202006261406">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.annotation.urs.feature_1.0.0.202004141145.jar" id="org.txm.annotation.urs.feature" version="1.0.0.202004141145">
+   <feature url="features/org.txm.annotation.urs.feature_1.0.0.202006261406.jar" id="org.txm.annotation.urs.feature" version="1.0.0.202006261406">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.backtomedia.feature_1.0.0.202004141145.jar" id="org.txm.backtomedia.feature" version="1.0.0.202004141145" os="">
+   <feature url="features/org.txm.backtomedia.feature_1.0.0.202006261406.jar" id="org.txm.backtomedia.feature" version="1.0.0.202006261406" os="">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.conllu.feature_1.0.0.202004141145.jar" id="org.txm.conllu.feature" version="1.0.0.202004141145">
+   <feature url="features/org.txm.conllu.feature_1.0.0.202006261406.jar" id="org.txm.conllu.feature" version="1.0.0.202006261406">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.cql2lsa.feature_1.0.0.202004141145.jar" id="org.txm.cql2lsa.feature" version="1.0.0.202004141145">
+   <feature url="features/org.txm.cql2lsa.feature_1.0.0.202006261406.jar" id="org.txm.cql2lsa.feature" version="1.0.0.202006261406">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.dictionary.feature_1.0.0.202004141145.jar" id="org.txm.dictionary.feature" version="1.0.0.202004141145">
+   <feature url="features/org.txm.dictionary.feature_1.0.0.202006261406.jar" id="org.txm.dictionary.feature" version="1.0.0.202006261406">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.internalview.feature_1.0.0.202004141145.jar" id="org.txm.internalview.feature" version="1.0.0.202004141145">
+   <feature url="features/org.txm.internalview.feature_1.0.0.202006261406.jar" id="org.txm.internalview.feature" version="1.0.0.202006261406">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.textsbalance.feature_1.0.0.202004141145.jar" id="org.txm.textsbalance.feature" version="1.0.0.202004141145">
+   <feature url="features/org.txm.textsbalance.feature_1.0.0.202006261406.jar" id="org.txm.textsbalance.feature" version="1.0.0.202006261406">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.tigersearch.feature_1.0.0.202004141145.jar" id="org.txm.tigersearch.feature" version="1.0.0.202004141145">
+   <feature url="features/org.txm.tigersearch.feature_1.0.0.202006261406.jar" id="org.txm.tigersearch.feature" version="1.0.0.202006261406">
       <category name="ALL"/>
    </feature>
    <feature url="features/org.txm.treetagger.models.feature_1.0.0.201912161444.jar" id="org.txm.treetagger.models.feature" version="1.0.0.201912161444">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.wordcloud.feature_1.0.0.202004141145.jar" id="org.txm.wordcloud.feature" version="1.0.0.202004141145">
+   <feature url="features/org.txm.wordcloud.feature_1.0.0.202006261406.jar" id="org.txm.wordcloud.feature" version="1.0.0.202006261406">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.202004141145.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.202004141145" os="">
+   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.202006261406.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.202006261406" os="">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.treetagger.feature_1.0.0.202004141145.jar" id="org.txm.treetagger.feature" version="1.0.0.202004141145">
+   <feature url="features/org.txm.treetagger.feature_1.0.0.202006261406.jar" id="org.txm.treetagger.feature" version="1.0.0.202006261406">
       <category name="ALL"/>
    </feature>
-   <feature url="features/org.txm.treetagger.models.feature_1.0.0.202004141145.jar" id="org.txm.treetagger.models.feature" version="1.0.0.202004141145">
+   <feature url="features/org.txm.treetagger.models.feature_1.0.0.202006261406.jar" id="org.txm.treetagger.models.feature" version="1.0.0.202006261406">
       <category name="ALL"/>
    </feature>
    <category-def name="ALL" label="ALL">
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java	(revision 2925)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/CwbEncode.java	(revision 2926)
@@ -45,7 +45,6 @@
 import org.txm.utils.OSDetector;
 import org.txm.utils.io.IOUtils;
 
-// TODO: Auto-generated Javadoc
 /**
  * This class aims at handling a CQi server process. It is not a CQi server per
  * se.
@@ -54,13 +53,14 @@
  */
 
 public class CwbEncode extends CwbProcess {
+	
 	/**
 	 * Instantiates a new CQi server.
 	 */
 	public CwbEncode() {
 		super("cwb-encode"); //$NON-NLS-1$
 	}
-
+	
 	/**
 	 * Instantiates a new cwb encode.
 	 *
@@ -69,7 +69,7 @@
 	public CwbEncode(String name) {
 		super(name);
 	}
-
+	
 	/**
 	 * Instantiates a new CQi server using executable path set in CQPLibPreferences.
 	 *
@@ -80,8 +80,8 @@
 	 * @param sAttributes the structural attribute
 	 * @return true if successful
 	 * @throws ServerNotFoundException the server not found exception
-	 * @throws IOException 
-	 * @throws InterruptedException 
+	 * @throws IOException
+	 * @throws InterruptedException
 	 */
 	public boolean run(String pathToData,
 			String inputFile, String pathToRegistry, String[] pAttributes,
@@ -100,26 +100,26 @@
 	 * @param sAttributes the structural attribute
 	 * @return true if successful
 	 * @throws ServerNotFoundException the server not found exception
-	 * @throws IOException 
-	 * @throws InterruptedException 
+	 * @throws IOException
+	 * @throws InterruptedException
 	 */
 	public boolean run(String pathToData,
 			String inputFile, String pathToRegistry, String[] pAttributes,
 			String[] sAttributes, boolean monitorOutput) throws ServerNotFoundException, InterruptedException, IOException {
 		
 		File pathToExecutable = new File(CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PATH_TO_CQPLIB),
-				"cwb-encode"+(System.getProperty("os.name").toLowerCase().contains("windows")?".exe":"")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-
+				"cwb-encode" + (System.getProperty("os.name").toLowerCase().contains("windows") ? ".exe" : "")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+		
 		return run(pathToExecutable.getAbsolutePath(), pathToData, inputFile,
 				pathToRegistry, pAttributes, sAttributes, false);
 	}
 	
 	/**
 	 * 
-	 * @return if the cwb-encode executable file set in preferences is available 
+	 * @return if the cwb-encode executable file set in preferences is available
 	 */
 	public static boolean isExecutableAvailable() {
-		return isExecutableAvailable("cwb-encode"+(System.getProperty("os.name").toLowerCase().contains("windows")?".exe":"")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+		return isExecutableAvailable("cwb-encode" + (System.getProperty("os.name").toLowerCase().contains("windows") ? ".exe" : "")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 	}
 	
 	/**
@@ -133,17 +133,17 @@
 	 * @param sAttributes the structural attribute
 	 * @return true if successful
 	 * @throws ServerNotFoundException the server not found exception
-	 * @throws IOException 
-	 * @throws InterruptedException 
+	 * @throws IOException
+	 * @throws InterruptedException
 	 */
 	public boolean run(String pathToExecutable, String pathToData,
 			List<File> inputFiles, String pathToRegistry, String[] pAttributes,
 			String[] sAttributes) throws ServerNotFoundException, InterruptedException, IOException {
 		boolean ret = run(pathToExecutable, pathToData, inputFiles, pathToRegistry, pAttributes, sAttributes, false);
-
+		
 		return ret;
 	}
-
+	
 	/**
 	 * * Instantiates a new CQi server.
 	 *
@@ -155,17 +155,17 @@
 	 * @param sAttributes the structural atribute
 	 * @return true, if successful
 	 * @throws ServerNotFoundException the server not found exception
-	 * @throws IOException 
-	 * @throws InterruptedException 
+	 * @throws IOException
+	 * @throws InterruptedException
 	 */
 	public boolean run(String pathToExecutable, String pathToData,
 			String inputFile, String pathToRegistry, String[] pAttributes,
 			String[] sAttributes) throws ServerNotFoundException, InterruptedException, IOException {
 		boolean ret = run(pathToExecutable, pathToData, inputFile, pathToRegistry, pAttributes, sAttributes, false);
-
+		
 		return ret;
 	}
-
+	
 	/*
 	 * delete all files and directory of the given path
 	 */
@@ -188,16 +188,17 @@
 		// The directory is now empty so delete it
 		return dir.delete();
 	}
-
+	
 	public boolean run(String pathToExecutable, String pathToData,
 			String inputFile, String pathToRegistry, String[] pAttributes,
 			String[] sAttributes, boolean monitorOutput)
-					throws ServerNotFoundException, InterruptedException, IOException {
-
+			throws ServerNotFoundException, InterruptedException, IOException {
+		
 		List<File> inputFiles = Arrays.asList(new File(inputFile));
-
+		
 		return run(pathToExecutable, pathToData, inputFiles, pathToRegistry, pAttributes, sAttributes, monitorOutput);
 	}
+	
 	/**
 	 * execute cwb-encode.
 	 *
@@ -210,24 +211,24 @@
 	 * @param monitorOutput the monitor output
 	 * @return true, if successful
 	 * @throws ServerNotFoundException the server not found exception
-	 * @throws IOException 
-	 * @throws InterruptedException 
+	 * @throws IOException
+	 * @throws InterruptedException
 	 */
 	public boolean run(String pathToExecutable, String pathToData,
 			List<File> inputFiles, String pathToRegistry, String[] pAttributes,
 			String[] sAttributes, boolean monitorOutput)
-					throws ServerNotFoundException, InterruptedException, IOException {
+			throws ServerNotFoundException, InterruptedException, IOException {
 		File data = new File(pathToData);
 		deleteDir(data);
 		data.mkdirs();
-
+		
 		// fix UNC paths for mingw
 		if (pathToRegistry.startsWith("\\\\")) {
-			pathToRegistry = pathToRegistry.replace("\\\\", "//"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			pathToRegistry = pathToRegistry.replace("\\\\", "//"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
-		// fix UNC paths for mingw 
+		// fix UNC paths for mingw
 		if (pathToData.startsWith("\\\\")) {
-			pathToData = pathToData.replace("\\\\", "//"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			pathToData = pathToData.replace("\\\\", "//"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		
 		if (!new File(pathToExecutable).exists()) {
@@ -245,7 +246,7 @@
 		 * inputFile = "\""+inputFile+"\""; pathToRegistry =
 		 * "\""+pathToRegistry+"\""; }
 		 */
-
+		
 		// Warning !! for WINDOWS ONLY the "" value does not work with the ProcessBuilder we must set the value to "\"\""
 		String empty_value_code = Toolbox.getPreference(TBXPreferences.EMPTY_PROPERTY_VALUE_CODE);
 		if (OSDetector.isFamilyWindows()) {
@@ -253,44 +254,45 @@
 			empty_value_code = empty_value_code.trim();
 			if (empty_value_code.length() == 0) empty_value_code = "\"\"";//$NON-NLS-1$
 		}
-
-		ArrayList<String> cmd = new ArrayList<String>();
-		if (inputFiles != null) { //read input from file
+		
+		ArrayList<String> cmd = new ArrayList<>();
+		if (inputFiles != null) { // read input from file
 			cmd.add(pathToExecutable);
 			cmd.add("-d");//$NON-NLS-1$
 			cmd.add(new File(pathToData).getAbsolutePath());
 			cmd.add("-R"); //$NON-NLS-1$
-			cmd.add(new File(pathToRegistry).getAbsolutePath()); 
+			cmd.add(new File(pathToRegistry).getAbsolutePath());
 			cmd.add("-U");//$NON-NLS-1$
 			cmd.add(empty_value_code);
 			cmd.add("-c"); //$NON-NLS-1$
 			cmd.add("utf8"); //$NON-NLS-1$
-
+			
 			if (debug) {
-				cmd.add("-D"); //$NON-NLS-1$ 
+				cmd.add("-D"); //$NON-NLS-1$
 			}
-
+			
 			for (File inputFile : inputFiles) { // append "-f path" parameters
 				cmd.add("-f"); //$NON-NLS-1$
 				cmd.add(inputFile.getAbsolutePath());
 			}
-		} else { //read input from stdin
+		}
+		else { // read input from stdin
 			String[] c = { pathToExecutable,
 					"-d", new File(pathToData).getAbsolutePath() //$NON-NLS-1$
 					, "-R", new File(pathToRegistry).getAbsolutePath() //$NON-NLS-1$
 					, "-U", empty_value_code //$NON-NLS-1$
 					, "-c", "utf8" //$NON-NLS-1$ //$NON-NLS-2$
-					//, "-x" //$NON-NLS-1$ 
-			}; 
+					// , "-x" //$NON-NLS-1$
+			};
 			cmd.addAll(Arrays.asList(c));
 		}
-
+		
 		cmd.add("-xsB"); //$NON-NLS-1$
 		for (int i = 0; i < pAttributes.length; i++) {
 			cmd.add("-P"); //$NON-NLS-1$
 			// lower case pattributes
 			cmd.addAll(Arrays.asList(pAttributes[i].toLowerCase().split(" "))); //$NON-NLS-1$
-
+			
 		}
 		for (int i = 0; i < sAttributes.length; i++) {
 			cmd.add("-S"); //$NON-NLS-1$
@@ -301,7 +303,7 @@
 		boolean waitForCWBEncodeToEnd = inputFiles != null;
 		return run(cmd, monitorOutput, waitForCWBEncodeToEnd) && new File(pathToRegistry).exists();
 	}
-
+	
 	/**
 	 * Patch dir.
 	 *
@@ -327,35 +329,36 @@
 			System.err.println(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.theCorporaDirectoryDoesNotExistsColon, corpora));
 			return;
 		}
-
+		
 		for (File corpus : corpora.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (!corpus.isDirectory()) continue;
 			
 			System.out.println(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.processingCorpus, corpus.getName()));
 			File data = new File(corpus, "data"); //$NON-NLS-1$
-
+			
 			if (!data.exists()) {
 				System.err.println(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.theDataDirectoryDoesNotExistsColon, data));
 				return;
 			}
-
+			
 			String datapath = data.getAbsolutePath();
 			String regpath = registry.getAbsolutePath() + "/" + corpus.getName(); //$NON-NLS-1$
-			 // fix UNC paths for mingw
+			// fix UNC paths for mingw
 			if (datapath.startsWith("\\\\")) { //$NON-NLS-1$
 				datapath = datapath.replace("\\\\", "//"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			System.out.println(NLS.bind(CQPSearchEngineCoreMessages.fixingRegistryFileP0WithP1, regpath, datapath));
 			try {
 				PatchCwbRegistry.patch(new File(regpath), new File(datapath));
-			} catch (IOException e) {
+			}
+			catch (IOException e) {
 				org.txm.utils.logger.Log.printStackTrace(e);
 			}
 		}
 	}
-
+	
 	/**
-	 * concatenates CQP files into one master CQP file and wraps with the 'txmcorpus' structure. 
+	 * concatenates CQP files into one master CQP file and wraps with the 'txmcorpus' structure.
 	 * 
 	 * @param cqpFiles
 	 * @param allcqpFile
@@ -365,7 +368,7 @@
 	public static boolean concat(ArrayList<File> cqpFiles, File allcqpFile) throws IOException {
 		PrintWriter output = IOUtils.getWriter(allcqpFile);
 		ConsoleProgressBar cpb = new ConsoleProgressBar(cqpFiles.size());
-
+		
 		output.write("<txmcorpus lang=\"fr\">\n"); //$NON-NLS-1$
 		for (File cqpFile : cqpFiles) {
 			cpb.tick();
@@ -377,7 +380,7 @@
 		output.close();
 		return true;
 	}
-
+	
 	/**
 	 * The main method.
 	 *
@@ -404,4 +407,4 @@
 		 */
 		CwbEncode.patchDir(new File("C:/Documents and Settings/H/Mes documents/TXM/cwb")); //$NON-NLS-1$
 	}
-}
\ No newline at end of file
+}
Index: tmp/TXMReleasePlugins.site/site.xml
===================================================================
--- tmp/TXMReleasePlugins.site/site.xml	(revision 2925)
+++ tmp/TXMReleasePlugins.site/site.xml	(revision 2926)
@@ -3,19 +3,19 @@
    <description name="TXM Extensions - RELEASE" url="https://gitlab.huma-num.fr/txm/txm-software/-/raw/master/dist/0.8.1/ext/stable">
       This update site contains the Release extensions for TXM
    </description>
-   <feature url="features/org.txm.backtomedia.feature_1.0.0.202006051820.jar" id="org.txm.backtomedia.feature" version="1.0.0.202006051820">
+   <feature url="features/org.txm.backtomedia.feature_1.0.0.202006261407.jar" id="org.txm.backtomedia.feature" version="1.0.0.202006261407">
       <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.wordcloud.feature_1.0.0.202006051820.jar" id="org.txm.wordcloud.feature" version="1.0.0.202006051820">
+   <feature url="features/org.txm.wordcloud.feature_1.0.0.202006261407.jar" id="org.txm.wordcloud.feature" version="1.0.0.202006261407">
       <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.202006051820.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.202006051820" os="" ws="">
+   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.202006261407.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.202006261407" os="" ws="">
       <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.treetagger.models.feature_1.0.0.202006051820.jar" id="org.txm.treetagger.models.feature" version="1.0.0.202006051820">
+   <feature url="features/org.txm.treetagger.models.feature_1.0.0.202006261407.jar" id="org.txm.treetagger.models.feature" version="1.0.0.202006261407">
       <category name="Annotation"/>
    </feature>
-   <feature url="features/org.txm.annotation.urs.feature_1.0.0.202006051820.jar" id="org.txm.annotation.urs.feature" version="1.0.0.202006051820">
+   <feature url="features/org.txm.annotation.urs.feature_1.0.0.202006261407.jar" id="org.txm.annotation.urs.feature" version="1.0.0.202006261407">
       <category name="Annotation"/>
    </feature>
    <category-def name="Commands" label="Commands">
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 2925)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 2926)
@@ -44,6 +44,7 @@
 import org.txm.Toolbox;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
+import org.txm.objects.CorpusBuild;
 import org.txm.objects.Project;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.OpenImportForm;
@@ -161,8 +162,10 @@
 						
 						this.releaseSemaphore();
 						
+						for (CorpusBuild corpus : project.getChildren(CorpusBuild.class)) {
+							corpus.compute(false); // pre-compute CorpusBuilds
+						}
 						
-						
 						monitor.done();
 						if (doUpdate) {
 							Log.info(TXMUIMessages.updateDone);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 2925)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 2926)
@@ -1091,7 +1091,6 @@
 				}
 			}
 			
-			
 			// opening the editor
 			IEditorPart tmpEditor = page.openEditor(editorInput, editorId, true, IWorkbenchPage.MATCH_INPUT | IWorkbenchPage.MATCH_ID);
 			if (tmpEditor instanceof TXMEditor) {
